// Rio500Folder.cpp : Implementation of CRio500Folder
#include "stdafx.h"
#include "Rio500Remix.h"
#include "Rio500Folder.h"

/////////////////////////////////////////////////////////////////////////////
// CRio500Folder

CRio500Folder::CRio500Folder()
 :  m_lNumber(-1),
    m_wBitmapBlocks(0)
{
}

STDMETHODIMP CRio500Folder::get_Number(long *pVal)
{
    *pVal = m_lNumber;
    return S_OK;
}

STDMETHODIMP CRio500Folder::put_Number(long newVal)
{
    m_lNumber = newVal;
    return S_OK;
}

STDMETHODIMP CRio500Folder::get_Name(BSTR *pVal)
{
    *pVal = m_bsName.copy();
    return S_OK;
}

STDMETHODIMP CRio500Folder::put_Name(BSTR newVal)
{
    m_bsName = newVal;
    return S_OK;
}

STDMETHODIMP CRio500Folder::get_Bitmap(VARIANT *pVal)
{
    VariantCopy(pVal, &m_vBitmap);
    return S_OK;
}

STDMETHODIMP CRio500Folder::put_Bitmap(VARIANT newVal)
{
    m_vBitmap = newVal;
    return S_OK;
}

STDMETHODIMP CRio500Folder::get_BitmapBlocks(WORD *pVal)
{
    *pVal = m_wBitmapBlocks;
    return S_OK;
}

STDMETHODIMP CRio500Folder::put_BitmapBlocks(WORD newVal)
{
    m_wBitmapBlocks = newVal;
    return S_OK;
}

