// Rio500Folder.h : Declaration of the CRio500Folder

#ifndef __RIO500FOLDER_H_
#define __RIO500FOLDER_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CRio500Folder
class ATL_NO_VTABLE CRio500Folder : 
	public CComObjectRootEx<CComMultiThreadModel>,
	public CComCoClass<CRio500Folder, &CLSID_Rio500Folder>,
	public IDispatchImpl<IRio500Folder, &IID_IRio500Folder, &LIBID_RIO500REMIXLib>
{
public:
	CRio500Folder();

    DECLARE_REGISTRY_RESOURCEID(IDR_RIO500FOLDER)

    DECLARE_PROTECT_FINAL_CONSTRUCT()

    BEGIN_COM_MAP(CRio500Folder)
	    COM_INTERFACE_ENTRY(IRio500Folder)
	    COM_INTERFACE_ENTRY(IDispatch)
    END_COM_MAP()

 // IRio500Folder
 public:
	STDMETHOD(get_Number)(/*[out, retval]*/ long *pVal);
	STDMETHOD(put_Number)(/*[in]*/ long newVal);
	STDMETHOD(get_Name)(/*[out, retval]*/ BSTR *pVal);
	STDMETHOD(put_Name)(/*[in]*/ BSTR newVal);
	STDMETHOD(get_Bitmap)(/*[out, retval]*/ VARIANT *pVal);
	STDMETHOD(put_Bitmap)(/*[in]*/ VARIANT newVal);
	STDMETHOD(get_BitmapBlocks)(/*[out, retval]*/ WORD *pVal);
	STDMETHOD(put_BitmapBlocks)(/*[in]*/ WORD newVal);

 protected:
	long                m_lNumber;
	_bstr_t             m_bsName;
    _variant_t          m_vBitmap;
	WORD                m_wBitmapBlocks;
};

#endif //__RIO500FOLDER_H_
